//
//  LogManager.swift
//  HIVE_SDK_Sample
//
//  Created by sjyong on 2022/05/23.
//  Copyright © 2022 gcp. All rights reserved.
//

import Foundation

public class LogManager {
    
    public static let shared = LogManager()
    
    private var log = ""
    
    func addLog(_ log: String) {
        self.log.append(contentsOf: log + "\n\n")
    }
    
    func addFailureLog(api: String, errorCode: Int32, error: Error?) {
        let failureLog = "HiveTalkPlus.\(api) failed. errorCode = \(errorCode), error = \(error?.localizedDescription ?? "nil")"
        self.addLog(failureLog)
    }
    
    func getLog() -> String {
        return self.log
    }
    
    func clearLog() {
        self.log = ""
    }
}
